[Forgot Password]
Login  Register Subscribe

23631

 
 

119105

 
 

98250

 
 

909

 
 

79281

 
 

109

Paid content will be excluded from the download.


Download | Alert*
CVE
view XML

CVE-2008-0227

Date: (C)2008-01-10   (M)2017-11-18 


yaSSL 1.7.5 and earlier, as used in MySQL and possibly other products, allows remote attackers to cause a denial of service (crash) via a Hello packet containing a large size value, which triggers a buffer over-read in the HASHwithTransform::Update function in hash.cpp.

CVSS Score: 7.5Access Vector: NETWORK
Exploit Score: 10.0Access Complexity: LOW
Impact Score: 6.4Authentication: NONE
 Confidentiality: PARTIAL
 Integrity: PARTIAL
 Availability: PARTIAL





Reference:
http://www.securityfocus.com/archive/1/archive/1/485810/100/0/threaded
BID-27140
SECUNIA-28324
SECUNIA-28597
SECUNIA-29443
BID-31681
SECUNIA-32222
SREASON-3531
ADV-2008-0560
ADV-2008-2780
APPLE-SA-2008-10-09
DSA-1478
MDVSA-2008:150
USN-588-1
http://bugs.mysql.com/33814
http://dev.mysql.com/doc/refman/5.1/en/news-5-1-23.html
http://support.apple.com/kb/HT3216
yassl-hashwithtransformupdate-dos(39433)

CWE    1
CWE-119
OVAL    2
oval:org.secpod.oval:def:301436
oval:org.mitre.oval:def:8173

© 2013 SecPod Technologies